using System;
using System.Collections.Generic;
using System.Text;
using Lokeiv.Games.Ludo.Model;

namespace Lokeiv.Games.Ludo.Model.ComputerPlayer
{
    public class GenericMoveStrategy : IMoveStrategy
    {
        private MoveablePiece _movablePiece = null;

        public GenericMoveStrategy(MoveablePiece moveable)
        {
            this._movablePiece = moveable;
        }

        #region IMoveStrategy Members

        public MoveablePiece MovablePiece
        {
            get { return this._movablePiece; }
        }

        #endregion
    }
}
