﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Lokeiv.Games.Ludo.Model
{
    public class PlayerCollection : List<Player>
    {
        public Player this[Guid playerId]
        {
            get
            {
                return (from p in this where p.PlayerId == playerId select p).FirstOrDefault();
            }
        }

        public Player this[Color color]
        {
            get
            {
                return (from p in this where p.Color == color select p).FirstOrDefault();
            }
        }
    }
}
