﻿using System;
using System.Net;
using Lokeiv.Games.Ludo.Model;

namespace Ludo.WP7.Model
{
    /// <summary>
    /// Represents the current player action to be displayed in the player info area.
    /// Extends the <see cref="Aciton"/> with a Finished state.
    /// </summary>
    public enum PlayerAction
    {
        Nothing,
        RollDie, 
        MovePiece, 
        Finished
    }
}
