﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;

namespace Lokeiv.Games.Ludo.Service.Console
{
    class Program
    {
        static void Main(string[] args)
        {
            try
            {
                // Create a ServiceHost for the WcfService type and 
                // provide the base address.
                ServiceHost serviceHost = new ServiceHost(typeof(Lokeiv.Games.Ludo.Service.LudoService));

                // Open the ServiceHostBase to create listeners and start 
                // listening for messages.
                serviceHost.Open();

                // Wait before closing the application
                System.Console.WriteLine("LudoService is up. Press any key to take it down.");
                System.Console.ReadKey();

                serviceHost.Close();
                serviceHost = null;
            }
            catch (Exception ex)
            {
                System.Console.WriteLine(ex.Message);
                System.Console.WriteLine(string.Format("Source: {0}", ex.Source));
                System.Console.WriteLine(string.Format("Stacktrace: {0}", ex.StackTrace));
                System.Console.ReadKey();
            }
        }
    }
}
