﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.Serialization;
using System.ServiceModel;

namespace Lokeiv.Games.Ludo.Service
{    
    interface ILudoServiceCallback
    {
        [OperationContract(IsOneWay = true)]
        void ClientEnteredGameRoom(string nickName);

        [OperationContract(IsOneWay = true)]
        void ClientLeftGameRoom(string nickName);

        [OperationContract(IsOneWay = true)]
        void TableCreated(Table table);

        [OperationContract(IsOneWay = true)]
        void ClientEnteredTable(Table table);

        [OperationContract(IsOneWay = true)]
        void ClientLeftTable(Table table);

        [OperationContract(IsOneWay = true)]
        void ClientSatDown(Table table);

        [OperationContract(IsOneWay = true)]
        void ClientRaisedUp(Table table);

        [OperationContract(IsOneWay = true)]
        void ClientSentMessageToGameRoom(string nickName, string message);

        [OperationContract(IsOneWay = true)]
        void ClientSentMessageToTable(string nickName, string tableName, string message);
    }
}
