﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Runtime.Serialization;

namespace Lokeiv.Games.Ludo.Service
{
    [DataContract]
    public class Table
    {
        [DataMember]
        public string Name { get; set; }

        [DataMember]
        public Client Operator { get; set; }

        [DataMember]
        public Client RedPlayer { get; set; }

        [DataMember]
        public Client YellowPlayer { get; set; }

        [DataMember]
        public Client GreenPlayer { get; set; }

        [DataMember]
        public Client BluePlayer { get; set; }

        [DataMember]
        public List<Client> Watchers { get; set; }

        public Table()
        {
            Watchers = new List<Client>();
        }
    }
}