﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Diagnostics;
using System.Linq;
using System.ServiceProcess;
using System.Text;
using System.ServiceModel;

namespace Lokeiv.Games.Ludo.Service.WindowsService
{
    public partial class LudoService : ServiceBase
    {
        public ServiceHost serviceHost = null;

        public LudoService()
        {
            InitializeComponent();
        }

        protected override void OnStart(string[] args)
        {
            if (serviceHost != null)
            {
                serviceHost.Close();
            }

            // Create a ServiceHost for the WcfService type and 
            // provide the base address.
            serviceHost = new ServiceHost(typeof(Lokeiv.Games.Ludo.Service.LudoService));

            // Open the ServiceHostBase to create listeners and start 
            // listening for messages.
            serviceHost.Open();
        }

        protected override void OnStop()
        {
            if (serviceHost != null)
            {
                serviceHost.Close();
                serviceHost = null;
            }
        }
    }
}
