﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using GameFx.ViewModels;

namespace GameFx.WindowsPhone.App
{
    public partial class MainPage : PhoneApplicationPage
    {

        /// <summary>
        /// A static ViewModel used by the views to bind against.
        /// </summary>
        /// <returns>The LobbyViewModel object.</returns>
        public LobbyViewModel ViewModel
        {
            get
            {
                if (!(this.DataContext is LobbyViewModel))
                {
                    LobbyViewModel viewModel = new LobbyViewModel(((App)App.Current).IsDesignMode);
                    this.DataContext = viewModel;
                }

                return this.DataContext as LobbyViewModel;
            }
        }

        // Constructor
        public MainPage()
        {
            InitializeComponent();

            LobbyViewModel viewModel = new LobbyViewModel(((App)App.Current).IsDesignMode);
            this.DataContext = viewModel;
        }
    }
}