﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel;
using GameServer.DataContracts;

namespace GameServer
{
    interface IGameServiceCallback
    {
        [OperationContract(IsOneWay = true)]
        void ClientEntered(Client client);

        [OperationContract(IsOneWay = true)]
        void ClientSaid(Client client, string chatMessage);
    }
}
