﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Ludo.WP7.Client.Utils.BoardCoordinates
{
    public class WinPhone7PortraitBoardCoordinates : BoardCoordinates
    {

        /// <summary>
        /// Used to set a static board size. Initializes these properties:
        /// <see cref="X"/>, <see cref="Y"/>, <see cref="Width"/> and <see cref="Height"/>.
        /// </summary>
        protected override void SetBoardSize()
        {
            this.X = 0;
            this.Y = 0;
            this.Width = 390;
            this.Height = 390;
        }

        protected override void CalcualteBasicBounds()
        {
            base.CalcualteBasicBounds();
            this.Square1Left += 3;
            this.Square1Top += 0.5f;            
            this.SquareWidth += 0.75f;
            this.SquareHeight += 0.45f;
        }
    }
}
