﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Lokeiv.Games.Ludo.Model;

namespace Ludo.WP7.Model
{
    /// <summary>
    /// Represents the current player action to be displayed in the player info area.
    /// Extends the <see cref="Aciton"/> with a Finished state.
    /// </summary>
    public enum PlayerAction
    {
        Nothing,
        RollDie, 
        MovePiece, 
        Finished
    }
}
