﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Runtime.Serialization;

namespace Lokeiv.Games.Ludo.Service
{
    [DataContract]
    public class GameRoom
    {
        [DataMember]
        public List<Client> Clients { get; set; }

        [DataMember]
        public List<Table> Tables { get; set; }

        public GameRoom()
        {
            Clients = new List<Client>();
            Tables = new List<Table>();

            for(int i = 0; i < 10; i++)
                Tables.Add(new Table { Name = string.Format("Table {0}", i + 1) });
        }
    }
}