using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Lokeiv.Games.Ludo.Forms.InternetGame
{
    public partial class LudoTable : Form
    {
        private LudoRoom _containingRoom = null;

        public LudoTable(LudoRoom room)
        {
            InitializeComponent();
            this._containingRoom = room;
        }

        private void LudoTable_FormClosed(object sender, FormClosedEventArgs e)
        {
            this._containingRoom.TableFormsOpen.Remove(this);

            if (this._containingRoom.TableFormsOpen.Count == 0 &&
                !this._containingRoom.Visible)
            {
                // No other window is open, so exit the application.
                Application.Exit();
            }
        }
    }
}