using System;
using System.Collections.Generic;
using System.Text;
using Lokeiv.Games.Ludo.Model;

namespace Lokeiv.Games.Ludo.Model.ComputerPlayer
{    
    public class RemoveBlockStrategy : IMoveStrategy
    {
        private MoveablePiece _movablePiece = null;

        public RemoveBlockStrategy(MoveablePiece movable)
        {
            this._movablePiece = movable;
        }



        #region IMoveStrategy Members

        public MoveablePiece MovablePiece
        {
            get { return this._movablePiece; }
        }

        #endregion
    }
}
