﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace Ludo.Silverlight.Application
{
    public partial class Die : UserControl
    {
        private Random _randomizer = new Random(DateTime.Now.Millisecond);

        public Die()
        {
            InitializeComponent();
            this.TheButton.Click += new RoutedEventHandler(TheButton_Click);
        }

        void TheButton_Click(object sender, RoutedEventArgs e)
        {
            int number = _randomizer.Next(1, 6);
            this.DrawNumber(number);
        }

        void DrawNumber(int number)
        {
            this.TheCanvas.Children.Clear();
            double dotSize = 5;
            double spaceBetweenDots = this.RenderSize.Height / 6.0d - dotSize * 3.0d;

            // Eventually draw the upper left dot
            switch (number)
            {
                case 4:
                case 5:
                case 6:
                    Ellipse upperLeft = new Ellipse { Width = dotSize, Height = dotSize };
                    Canvas.SetLeft(upperLeft, spaceBetweenDots);                    
                    break;
            }


        }
    }
}
