using System;
using System.Collections.Generic;
using System.Text;

namespace Lokeiv.Games.Dice.Generic
{
    /// <summary>
    /// Provides data for the <see cref="Lokeiv.Games.Dice.DieRolled"/> event.
    /// </summary>
    public class DieRolledEventArgs<T> : EventArgs 
    {
        private DieValue<T> _value;

        public DieValue<T> DieValue
        {
            get { return _value; }            
        }

        public DieRolledEventArgs(DieValue<T> value)
        {
            this._value = value;            
        }	
    }
}
