using System;
using System.Collections.Generic;
using System.Text;
using Lokeiv.Games.Ludo.Model;

namespace Lokeiv.Games.Ludo
{
    /// <summary>
    /// Provides data for the <see cref="Lokeiv.Ludo.Engine.ActionHappened"/> event.
    /// </summary>
    public class ActionEventArgs : EventArgs 
    {
        private Response _response;

        public Response Response
        {
            get { return _response; }
            set { _response = value; }
        }
	
        public ActionEventArgs(Response response)
        {
            this._response = response;
        }
    }
}
