﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Lokeiv.Games.Ludo.Model;

namespace Lokeiv.Games.Ludo
{
    /// <summary>
    /// Provides data for the <see cref="Lokeiv.Ludo.Engine.PlayerActionChanged"/> event.
    /// </summary>
    public class PlayerActionChangedEventArgs : EventArgs
    {
        Player _player;
        /// <summary>
        /// <see cref="Player"/> whose action has changed.
        /// </summary>
        public Player Player { get { return _player; } set { _player = value; } }

        public PlayerActionChangedEventArgs(Player player)
        {
            _player = player;
        }
    }
}
