﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Lokeiv.Games.Ludo.Forms.InternetGame.ServiceCallback
{
    public class LudoServiceMessageEventArgs : EventArgs 
    {
        public string NickName { get; private set; }
        public string TableName { get; private set; }
        public string Message { get; private set; }

        public LudoServiceMessageEventArgs(string nickName, string message)
            : this(nickName, null, message)
        {
            
        }

        public LudoServiceMessageEventArgs(string nickName, string tableName, string message)
            : base()
        {
            NickName = nickName;
            TableName = tableName;
            Message = message;
        }

    }
}
