using System;
using System.Collections.Generic;
using System.Text;

namespace Lokeiv.Games.Ludo.Model.Rules
{
    public class RulesEngine
    {
        List<Rule> _rules = new List<Rule>();
        private Ludo _ludo;

        public Ludo Ludo
        {
            get { return _ludo; }
            set { _ludo = value; }
        }
    

        public List<Rule> Rules
        {
            get { return this._rules; }
        }

        public RulesEngine(Ludo ludo)
        {
            this._ludo = ludo;
            this.InitializeRules();
        }

        private void InitializeRules()
        {
            // Todo: Check ludo games current options to see which rules should be enabled

        }

        public List<MoveablePiece> GetPossibleMoves(Ludo ludo)
        {
            Dictionary<Rule, List<MoveablePiece>> possibleMovesByRule = new Dictionary<Rule, List<MoveablePiece>>();
            List<MoveablePiece> possibleMoves = new List<MoveablePiece>();

            // Check each of current players pieces
            foreach (Piece piece in ludo.Board.Pieces)
            {
                if (piece.Color == ludo.CurrentPlayer.Color)
                {
                    // Check all rules
                    foreach (Rule rule in this._rules)
                    {
                        possibleMovesByRule.Add(rule, rule.GetPossibleMoves(ludo.Die, piece));
                    }
                }
            }

            // Now find out which moves are impossible by taking overrule into consideration
            bool finished = false;

            while (!finished)
            {
                bool foundImpossibleMoves = false;

                foreach (Rule rule in possibleMovesByRule.Keys)
                {
                    List<MoveablePiece> moves = possibleMovesByRule[rule];

                }
            }

            return possibleMoves;
        }

    }
}
