using System;
using System.Collections.Generic;
using System.Text;

namespace Lokeiv.Games.Dice.Generic
{
    /// <summary>
    /// Represents the value of a <see cref="Die"/>.
    /// </summary>
    public class DieValue<T>
    {
        private T _value;

        public T Value
        {
            get { return _value; }            
        }

        public DieValue(T value)
        {
            this._value = value;
        }
    }
}
