using System;
using System.Collections.Generic;
using System.Text;

namespace Lokeiv.Games.Dice.Generic
{
    public class StarAndEarthDie : Die<StarAndEarthValues>
    {

        public StarAndEarthDie()
        {
            this._value = new DieValue<StarAndEarthValues>(StarAndEarthValues.Earth);
        }

        protected override DieValue<StarAndEarthValues> GetNewRandomValue()
        {
            int intValue = this._randomizer.Next(1, 7);
            StarAndEarthValues value = StarAndEarthValues.Earth;

            switch (intValue)
            {
                case 1:
                    value = StarAndEarthValues.Star;
                    break;
                case 2:
                    value = StarAndEarthValues.Two;
                    break;
                case 3:
                    value = StarAndEarthValues.Three;
                    break;
                case 4:
                    value = StarAndEarthValues.Four;
                    break;
                case 5:
                    value = StarAndEarthValues.Five;
                    break;
                default:
                    value = StarAndEarthValues.Earth;
                    break;
            }

            this._value = new DieValue<StarAndEarthValues>(value);
            return this._value;
        }
    }
}
