﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GameFx.Server.Console
{
    class Program 
    {
        static void Main(string[] args)
        {
            ConsoleLogger logger = new ConsoleLogger();
            LobbyService lobbyService = new LobbyService(logger);
            lobbyService.StartService();
            logger.Write("Server is up. Press any key to shut down...");
            logger.Write(string.Empty);
            System.Console.ReadKey();
            logger.Write("Shutting down...");
            lobbyService.ShutDownService();
        }
    }
}
