using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;

namespace System.ServiceModel
{
    public class DuplexClientBase<TChannel> : ClientBase<TChannel> where TChannel : class
    {
        public DuplexClientBase(System.ServiceModel.InstanceContext callbackInstance)
            : base(callbackInstance)
        {

        }
        
        public DuplexClientBase(System.ServiceModel.InstanceContext callbackInstance, string endpointConfigurationName)
            : base(callbackInstance, endpointConfigurationName)
        {
        
        }
        
        public DuplexClientBase(System.ServiceModel.InstanceContext callbackInstance, string endpointConfigurationName, string remoteAddress)
            : base(callbackInstance, endpointConfigurationName, remoteAddress)
        {
        
        }
        
        public DuplexClientBase(System.ServiceModel.InstanceContext callbackInstance, string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress)
            : base(callbackInstance, endpointConfigurationName, remoteAddress)
        {
        
        }

        public DuplexClientBase(System.ServiceModel.InstanceContext callbackInstance, System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress)
            : base(callbackInstance, binding, remoteAddress)
        {
        
        }
    }

    public delegate void BeginOperationDelegate();
    public delegate void EndOperationDelegate();
}