﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using GameServer.Utils;
using GameServer.DataContracts;

namespace GameServer
{
    // NOTE: You can use the "Rename" command on the "Refactor" menu to change the class name "Service1" in both code and config file together.
    [ServiceBehavior(InstanceContextMode = InstanceContextMode.Single, ConcurrencyMode = ConcurrencyMode.Reentrant)]
    public class GameService : IGameService
    {
        public GameService()
        {

        }

        public void Enter(Client client)
        {
            IGameServiceCallback callback = OperationContext.Current.GetCallbackChannel<IGameServiceCallback>();
            Clients.Instance.AddClient(client, callback);
            Clients.Instance.NotifyAllThatClientEntered(client);
        }

        public void Say(Client client, string chatMessage)
        {
            Clients.Instance.NotifyAllAboutChatMessage(client, chatMessage);
        }
    }
}
