﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using GameFx.Server;

namespace GameFx.Server.Console
{
    class Program
    {
        static void Main(string[] args)
        {
            var server = new SignalR.Hosting.Self.Server(Properties.Settings.Default.ConnectionUrl);            
            server.MapHubs();
            server.Start();

            
            
            ConsoleLogger logger = new ConsoleLogger();
            LobbyHub lobby = new LobbyHub(logger);
            logger.Write("Server is up. Press any key to shut down...");
            logger.Write(string.Empty);
            System.Console.ReadKey();
            logger.Write("Shutting down...");
        }
    }
}
