﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Ludo.WP7.Client.Utils;

namespace Ludo.WP7.Client.Views
{
    public class BasePage : PhoneApplicationPage
    {

        protected override void OnNavigatingFrom(System.Windows.Navigation.NavigatingCancelEventArgs e)
        {
            base.OnNavigatingFrom(e);
            NavigationStack.Instance.NavigatingFrom = this.GetType();

            if (e.NavigationMode == System.Windows.Navigation.NavigationMode.Back)
                NavigationStack.Instance.Pop();
        }

        protected override void OnNavigatedTo(System.Windows.Navigation.NavigationEventArgs e)
        {
            base.OnNavigatedTo(e);

            if(NavigationStack.Instance.Peek() != this.GetType())
                NavigationStack.Instance.Push(this.GetType());
        }
    }
}
