using System;
using System.Collections.Generic;
using System.Text;

namespace Lokeiv.Games.Ludo.Model.ComputerPlayer
{
    class MoveStrategyFactory
    {
        #region Singleton Pattern
        private static MoveStrategyFactory _instance = null;

        private MoveStrategyFactory()
        {

        }

        public static MoveStrategyFactory Instance
        {
            get
            {
                if (_instance == null)
                    _instance = new MoveStrategyFactory();

                return _instance;
            }
        }
        #endregion

        public void addMoveStrategy(MoveablePiece movable)
        {
            
        }
    }
}
