using System;
using System.Collections.Generic;
using System.Text;

namespace Lokeiv.Games.Ludo.Model
{
    public class MoveablePiece
    {
        private Piece _piece = null;
        private Square _square = null;

        #region Properties
        public Piece Piece
        {
            get { return this._piece; }
        }

        public Square Square
        {
            get { return this._square; }
        }
        #endregion

        #region Contructors
        internal MoveablePiece(Piece piece, Square square)
        {
            this._piece = piece;
            this._square = square;
        }
        #endregion

    }
}
