using System;
using System.Collections.Generic;
using System.Text;

namespace Lokeiv.Games.Dice
{
    /// <summary>
    /// Provides data for the <see cref="Lokeiv.Games.Dice.DieRolled"/> event.
    /// </summary>
    public class DieRolledEventArgs : EventArgs 
    {
        private DieValue _value;

        public DieValue DieValue
        {
            get { return _value; }            
        }

        public DieRolledEventArgs(DieValue value)
        {
            this._value = value;            
        }	
    }
}
